.preview{
    background-color: #FFF;
    padding:13px 20px;
    border:none;
    border-radius:20px;
    &__content{
        display: flex;
        justify-content: space-between;
        &--name{
            font-weight: bold;
            font-size: 16px;
            color:#333;
        }
        &--view{
            color:#0074C8;
            font-weight: 500;
            &:hover{
                opacity:0.6;
                cursor: pointer;
            }

        }

    }
    &__footer{
        margin-top:15px;
        &--delete{
            color:#0074C8;
            font-weight: 500;
            &:hover{
                opacity:0.6;
                cursor: pointer;
            }
        }
    }
    &__modal{
        background: #ffffff;
        border-radius: 0.5em;
        box-shadow: 0 10px 20px rgba(black, 0.2);
        left: 50%;
        max-width: 90%;
        pointer-events: none;
        position: relative;
        top: 50%;
        transform: translate(-50%, -50%);
        width: 30em;
        text-align: left;
        max-height: 90vh;
        display: flex;
        flex-direction: column;
    }
}
.modal{
    position: fixed;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    z-index: 990;
    &__overlay{
        position: absolute;
        left: 0;
        top: 0;
        width: 100%;
        height: 100%;
        z-index: 995;
        background: rgba(0,0,0,0.85);
    }
    &__content{
        z-index: 999;
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        max-height: 90%;
        overflow: auto;
        background: #fff;
        box-sizing: border-box;
        padding: 10px;
        box-shadow: 0 1px 5px rgba(0,0,0,0.7);
        border-radius: 4px;
        width: 520px; /* This just a default width */
        img{
            width:100%
        }
        &--close{
            position: absolute;
            right: 10px;
            top: 10px;
            cursor: pointer;
            font-size: 18px;
            opacity: 0.5;
            background: none;
            border: none;
            transition: ease 0.25s all;
            width:25px;
            height: 25px;
            background-color: white;
            padding:2px;

            img{
                transition: ease 0.25s all;
                &:hover{
                    transform: rotate(90deg);
                    transition-duration: 400ms;
                }
            }
        }
    }

}
.rpv-core__text-layer{
    display: none;
}
.error{
    width: 386px;
    &__title{
        font-weight: 600;
        font-size: 12px;
        margin-bottom: 6px;

    }
    &__content{
       background-color: #FFBEC4;
       display: flex;
       align-items: center;
       justify-content: space-between;
       padding:12px;
       border:1px solid rgba(238, 63, 56, 1);
       border-radius: 4px;
       &--img{
        margin-right: 12px;
       }
       &--main{
        font-weight: 400;
        font-size: 14px;
        line-height: 17.07px;
        span{
            font-size: 12px;
            font-style: italic;
            line-height: 14.63px;

        }
       }
       &--close{
        transition: ease 0.25s all;

        &:hover{
            cursor:pointer;
            transform: rotate(90deg);
            transition-duration: 400ms;
        }
       }
   }
   

}